Ignore:
Timestamp:
Mar 10, 2012, 10:04:39 PM (8 years ago)
Author:
ryandesign@…
Message:

php-1.0.tcl: Add php.config option/default

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/_resources/port1.0/group/php-1.0.tcl

    r90404 r90630  
    5555options php.build_dirs
    5656default php.build_dirs          {[php.build_dirs_proc]}
     57options php.config
     58default php.config              {${prefix}/bin/php-config}
    5759options php.extensions
    5860options php.extension_dir
    59 default php.extension_dir       {[exec ${prefix}/bin/php-config --extension-dir 2>/dev/null]}
     61default php.extension_dir       {[exec ${php.config} --extension-dir 2>/dev/null]}
    6062options php.ini
    6163default php.ini                 {[lindex ${php.extensions} 0].ini}
     
    195197       
    196198        pre-configure {
    197             set php_version [exec ${prefix}/bin/php-config --version 2>/dev/null]
     199            set php_version [exec ${php.config} --version 2>/dev/null]
    198200            if {${version} != ${php_version}} {
    199201                ui_error "${name} ${version} requires PHP ${version} but you have PHP ${php_version}."
Note: See TracChangeset for help on using the changeset viewer.